Get the banner and the What's new feed for the current user
GET
/api/v1/announcements
const url = 'https://api.yggy.tech/api/v1/announcements';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/announcements \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Announcement feed
Media type application/json
object
banner
required
object
id
required
string
kind
required
string
title
required
string
body
required
string | null
changelogDate
required
string | null
linkUrl
required
string | null
dismissible
required
boolean
startsAt
required
string
recent
required
Array<object>
object
id
required
string
kind
required
string
title
required
string
body
required
string | null
changelogDate
required
string | null
linkUrl
required
string | null
dismissible
required
boolean
startsAt
required
string
read
required
boolean
unreadCount
required
integer
Example
{ "banner": { "kind": "release" }, "recent": [ { "kind": "release" } ]}